Assets
Asset Upload
Upload and process a media file.
POST
Upload and process a media file.
cookie
storyden-session<token>filename?stringThe client-provided file name for the asset.
parent_asset_id?stringFor uploading new versions of an existing asset, set this parameter to the asset ID of the parent asset. This must be an ID and not a filename. This feature is used for situations where you want to replace an asset in its usage context, but retain the original with a way to reference it for features such as editable/croppable images or file version history.
Content-Length*integerBody content length in bytes.
Upload a file.
body?fileapplication/octet-streamFormat
binaryThe new URL of an uploaded file.
application/json- response
id*AssetIDA unique identifier for this resource.
Format
xidfilename*stringpath*stringThe API path of the asset, conforms to the schema's GET /assets.
mime_type*stringwidth*numberheight*numberparent?curl -X POST 'https://example.com/api/assets' \ -H 'Content-Length: 0' \ -H 'Content-Type: application/octet-stream' \ -d 'string'Example Response
{ "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {}}